openapi: "3.0.0"
info:
  description: "## Description\nThis API permits to get the metrics for the delivery\
    \ interface (i.e. interface with end users) and the ingest interface (i.e. interface\
    \ between CDN and Orgin Servers) by organization for a time range with an interval\
    \ of values.\n\n"
  version: "2.0.0"
  title: "Metrics"
tags:
- name: "Organizations"
- name: "Status"
- name: "metrics"
paths:
  /organizations/{organizationId}/metrics/media/ingest:
    get:
      tags:
      - "Organizations"
      operationId: "mediaIngestGet"
      summary: "Get metrics for the media ingest interface."
      description: "## Description\nThis API permits to get the metrics for the ingest\
        \ interface (i.e. interface with origin servers) by origin server(s) and countries\
        \ for a time range with an interval of values.\n"
      parameters:
      - name: "organizationId"
        required: true
        in: "path"
        examples:
          mycompagny:
            value: "3669911"
        description: "The id of the organization. This id is affected and communicated\
          \ at the customer creation. At present time, the RCE code is used."
        schema:
          type: "string"
      - name: "startTime"
        required: false
        in: "query"
        examples:
          mystartTime:
            value: "2022-03-17T09:59:29Z"
        description: "The start datetime of the desired time range. The value must\
          \ be in UTC ISO 8086 format, ex: 2022-03-17T09:59:29Z\nIf not specified,\
          \ the default value will be the oldest available date (currently: curentDateTime-3\
          \ months)"
        schema:
          type: "string"
          format: "date-time"
      - name: "endTime"
        required: false
        in: "query"
        examples:
          myendTime:
            value: "2022-03-17T09:59:29Z"
        description: "The end datetime of the desired time range. The value must be\
          \ in UTC ISO 8086 format, ex: 2022-03-17T09:59:29Z\nIf not specified, the\
          \ default value will be the current dateTime"
        schema:
          type: "string"
          format: "date-time"
      - name: "interval"
        required: false
        in: "query"
        examples:
          OneHour:
            value: "3600"
          OneDay:
            value: "86400"
          OneWeek:
            value: "604800"
          OneMonth:
            value: "2629800"
        description: "The sampling interval in seconds for the requested time range.\n\
          If not specified, the default value is 5 minutes (= 300 sec)"
        schema:
          type: "integer"
          format: "int32"
          default: 300
      - name: "countries"
        required: false
        in: "query"
        style: "form"
        explode: false
        examples:
          single:
            value: "FR"
          multiple:
            value:
            - "FR"
            - "US"
            - "GB"
        description: "List of the country(ies) desired. Must be a coma separated list\
          \ of  ISO 3166-1 alpha-2 country codes\nIf not specified, the default value\
          \ will all"
        schema:
          type: "array"
          items:
            type: "string"
            default: "all"
      - name: "originServers"
        required: false
        in: "query"
        examples:
          single:
            value: "origin.mycompagny.com"
          multiple:
            value: "origin1.mycompagny.com,origin2mycompagny.com"
        description: "List of the origin server(s) desired. Must be a coma separated\
          \ list.\nIf not specified, the default value will be all"
        schema:
          type: "string"
          default: "all"
      - name: "resourceIds"
        required: false
        in: "query"
        examples:
          single:
            value: "stream.mycompagny.com"
        description: "List of resourceIds. That corresponds to one\
          \ of the CNAMEs of the customer's CDN service , ex: stream.mycompagny.com)"
        schema:
          type: "string"
          default: "all"
      responses:
        "200":
          description: "Ok"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/mediaIngest"
              examples:
                myCompagnyIngest:
                  value: "{     \"organizationId\": \"3669911\",     \"metrics\":\
                    \ [         {             \"originServer\": \"origin1.mycompagny.com\"\
                    ,             \"resourceId\": \"stream.mycompagny.com\",     \
                    \        \"data\": [                 {                     \"\
                    country\": \"FR\",                     \"values\": [         \
                    \                {                             \"timestamp\":\
                    \ \"2023-07-11T00:00:00Z\",                             \"dataRecord\"\
                    : {                                 \"throughput\": 56238828.56222222,\
                    \                                 \"bytes\": 56612230072,    \
                    \                             \"httpCodes\": [               \
                    \                      {                                     \
                    \    \"statusCode\": \"2xx\",                                \
                    \         \"count\": 221777                                  \
                    \   },                                     {                 \
                    \                        \"statusCode\": \"3xx\",            \
                    \                             \"count\": 44832               \
                    \                      },                                    \
                    \ {                                         \"statusCode\": \"\
                    4xx\",                                         \"count\": 1051\
                    \                                     },                     \
                    \                {                                         \"\
                    statusCode\": \"5xx\",                                       \
                    \  \"count\": 1                                     }        \
                    \                         ]                             }    \
                    \                     },                         {           \
                    \                  \"timestamp\": \"2023-07-11T01:00:00Z\",  \
                    \                           \"dataRecord\": {                \
                    \                 \"throughput\": 55595682.67333333,         \
                    \                        \"bytes\": 53446504054,             \
                    \                    \"httpCodes\": [                        \
                    \             {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 205274                                     },              \
                    \                       {                                    \
                    \     \"statusCode\": \"3xx\",                               \
                    \          \"count\": 41690                                  \
                    \   },                                     {                 \
                    \                        \"statusCode\": \"4xx\",            \
                    \                             \"count\": 760                 \
                    \                    },                                     {\
                    \                                         \"statusCode\": \"5xx\"\
                    ,                                         \"count\": 4       \
                    \                              }                             \
                    \    ]                             }                         },\
                    \                         {                             \"timestamp\"\
                    : \"2023-07-11T02:00:00Z\",                             \"dataRecord\"\
                    : {                                 \"throughput\": 51187031.575555556,\
                    \                                 \"bytes\": 51106593808,    \
                    \                             \"httpCodes\": [               \
                    \                      {                                     \
                    \    \"statusCode\": \"2xx\",                                \
                    \         \"count\": 207412                                  \
                    \   },                                     {                 \
                    \                        \"statusCode\": \"3xx\",            \
                    \                             \"count\": 41138               \
                    \                      },                                    \
                    \ {                                         \"statusCode\": \"\
                    4xx\",                                         \"count\": 943\
                    \                                     },                     \
                    \                {                                         \"\
                    statusCode\": \"5xx\",                                       \
                    \  \"count\": 0                                     }        \
                    \                         ]                             }    \
                    \                     },                         {           \
                    \                  \"timestamp\": \"2023-07-11T03:00:00Z\",  \
                    \                           \"dataRecord\": {                \
                    \                 \"throughput\": 74023986.29111111,         \
                    \                        \"bytes\": 74457698116,             \
                    \                    \"httpCodes\": [                        \
                    \             {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 218816                                     },              \
                    \                       {                                    \
                    \     \"statusCode\": \"3xx\",                               \
                    \          \"count\": 40695                                  \
                    \   },                                     {                 \
                    \                        \"statusCode\": \"4xx\",            \
                    \                             \"count\": 1159                \
                    \                     },                                     {\
                    \                                         \"statusCode\": \"5xx\"\
                    ,                                         \"count\": 0       \
                    \                              }                             \
                    \    ]                             }                         },\
                    \                         {                             \"timestamp\"\
                    : \"2023-07-11T04:00:00Z\",                             \"dataRecord\"\
                    : {                                 \"throughput\": 142457409.66222224,\
                    \                                 \"bytes\": 273829844858,   \
                    \                              \"httpCodes\": [              \
                    \                       {                                    \
                    \     \"statusCode\": \"2xx\",                               \
                    \          \"count\": 379912                                 \
                    \    },                                     {                \
                    \                         \"statusCode\": \"3xx\",           \
                    \                              \"count\": 43288              \
                    \                       },                                   \
                    \  {                                         \"statusCode\": \"\
                    4xx\",                                         \"count\": 1626\
                    \                                     },                     \
                    \                {                                         \"\
                    statusCode\": \"5xx\",                                       \
                    \  \"count\": 0                                     }        \
                    \                         ]                             }    \
                    \                     },                         {           \
                    \                  \"timestamp\": \"2023-07-11T05:00:00Z\",  \
                    \                           \"dataRecord\": {                \
                    \                 \"throughput\": 203000108.72,              \
                    \                   \"bytes\": 566372241677,                 \
                    \                \"httpCodes\": [                            \
                    \         {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 603853                                     },              \
                    \                       {                                    \
                    \     \"statusCode\": \"3xx\",                               \
                    \          \"count\": 60682                                  \
                    \   },                                     {                 \
                    \                        \"statusCode\": \"4xx\",            \
                    \                             \"count\": 1581                \
                    \                     },                                     {\
                    \                                         \"statusCode\": \"5xx\"\
                    ,                                         \"count\": 3       \
                    \                              }                             \
                    \    ]                             }                         },\
                    \                         {                             \"timestamp\"\
                    : \"2023-07-11T06:00:00Z\",                             \"dataRecord\"\
                    : {                                 \"throughput\": 229448179.3422222,\
                    \                                 \"bytes\": 763010565588,   \
                    \                              \"httpCodes\": [              \
                    \                       {                                    \
                    \     \"statusCode\": \"2xx\",                               \
                    \          \"count\": 799927                                 \
                    \    },                                     {                \
                    \                         \"statusCode\": \"3xx\",           \
                    \                              \"count\": 75394              \
                    \                       },                                   \
                    \  {                                         \"statusCode\": \"\
                    4xx\",                                         \"count\": 1585\
                    \                                     },                     \
                    \                {                                         \"\
                    statusCode\": \"5xx\",                                       \
                    \  \"count\": 2                                     }        \
                    \                         ]                             }    \
                    \                     },                         {           \
                    \                  \"timestamp\": \"2023-07-11T07:00:00Z\",  \
                    \                           \"dataRecord\": {                \
                    \                 \"throughput\": 244568714.60444444,        \
                    \                         \"bytes\": 895038081227,           \
                    \                      \"httpCodes\": [                      \
                    \               {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 926450                                     },              \
                    \                       {                                    \
                    \     \"statusCode\": \"3xx\",                               \
                    \          \"count\": 99109                                  \
                    \   },                                     {                 \
                    \                        \"statusCode\": \"4xx\",            \
                    \                             \"count\": 2416                \
                    \                     },                                     {\
                    \                                         \"statusCode\": \"5xx\"\
                    ,                                         \"count\": 0       \
                    \                              }                             \
                    \    ]                             }                         },\
                    \                         {                             \"timestamp\"\
                    : \"2023-07-11T08:00:00Z\",                             \"dataRecord\"\
                    : {                                 \"throughput\": 269161930.07555556,\
                    \                                 \"bytes\": 1020838299593,  \
                    \                               \"httpCodes\": [             \
                    \                        {                                   \
                    \      \"statusCode\": \"2xx\",                              \
                    \           \"count\": 1037259                               \
                    \      },                                     {              \
                    \                           \"statusCode\": \"3xx\",         \
                    \                                \"count\": 104906           \
                    \                          },                                \
                    \     {                                         \"statusCode\"\
                    : \"4xx\",                                         \"count\":\
                    \ 1924                                     },                \
                    \                     {                                      \
                    \   \"statusCode\": \"5xx\",                                 \
                    \        \"count\": 2                                     }  \
                    \                               ]                            \
                    \ }                         },                         {     \
                    \                        \"timestamp\": \"2023-07-11T09:00:00Z\"\
                    ,                             \"dataRecord\": {              \
                    \                   \"throughput\": 278705356.82666665,      \
                    \                           \"bytes\": 1009376359828,        \
                    \                         \"httpCodes\": [                   \
                    \                  {                                         \"\
                    statusCode\": \"2xx\",                                       \
                    \  \"count\": 1057354                                     }, \
                    \                                    {                       \
                    \                  \"statusCode\": \"3xx\",                  \
                    \                       \"count\": 113991                    \
                    \                 },                                     {   \
                    \                                      \"statusCode\": \"4xx\"\
                    ,                                         \"count\": 5130    \
                    \                                 },                         \
                    \            {                                         \"statusCode\"\
                    : \"5xx\",                                         \"count\":\
                    \ 4                                     }                    \
                    \             ]                             }                \
                    \         },                         {                       \
                    \      \"timestamp\": \"2023-07-11T10:00:00Z\",              \
                    \               \"dataRecord\": {                            \
                    \     \"throughput\": 278074925.76222223,                    \
                    \             \"bytes\": 943929872863,                       \
                    \          \"httpCodes\": [                                  \
                    \   {                                         \"statusCode\":\
                    \ \"2xx\",                                         \"count\":\
                    \ 1031206                                     },             \
                    \                        {                                   \
                    \      \"statusCode\": \"3xx\",                              \
                    \           \"count\": 115009                                \
                    \     },                                     {               \
                    \                          \"statusCode\": \"4xx\",          \
                    \                               \"count\": 6720              \
                    \                       },                                   \
                    \  {                                         \"statusCode\": \"\
                    5xx\",                                         \"count\": 1  \
                    \                                   }                        \
                    \         ]                             }                    \
                    \     },                         {                           \
                    \  \"timestamp\": \"2023-07-11T11:00:00Z\",                  \
                    \           \"dataRecord\": {                                \
                    \ \"throughput\": 282184163.28,                              \
                    \   \"bytes\": 987772451598,                                 \"\
                    httpCodes\": [                                     {         \
                    \                                \"statusCode\": \"2xx\",    \
                    \                                     \"count\": 1050749     \
                    \                                },                          \
                    \           {                                         \"statusCode\"\
                    : \"3xx\",                                         \"count\":\
                    \ 121481                                     },              \
                    \                       {                                    \
                    \     \"statusCode\": \"4xx\",                               \
                    \          \"count\": 5305                                   \
                    \  },                                     {                  \
                    \                       \"statusCode\": \"5xx\",             \
                    \                            \"count\": 4                    \
                    \                 }                                 ]        \
                    \                     }                         }            \
                    \         ],                     \"average\": {              \
                    \           \"throughput\": 180387193.11462963,              \
                    \           \"bytes\": 557982561940.1666,                    \
                    \     \"originStatus\": null,                         \"httpCodes\"\
                    : [                             {                            \
                    \     \"statusCode\": \"2xx\",                               \
                    \  \"count\": 644999.0833333334                             },\
                    \                             {                              \
                    \   \"statusCode\": \"3xx\",                                 \"\
                    count\": 75184.58333333333                             },    \
                    \                         {                                 \"\
                    statusCode\": \"4xx\",                                 \"count\"\
                    : 2516.6666666666665                             },          \
                    \                   {                                 \"statusCode\"\
                    : \"5xx\",                                 \"count\": 1.75   \
                    \                          }                         ]       \
                    \              },                     \"min\": {             \
                    \            \"throughput\": 51187031.575555556,             \
                    \            \"bytes\": 51106593808.0,                       \
                    \  \"originStatus\": null,                         \"httpCodes\"\
                    : [                             {                            \
                    \     \"statusCode\": \"2xx\",                               \
                    \  \"count\": 205274.0                             },        \
                    \                     {                                 \"statusCode\"\
                    : \"3xx\",                                 \"count\": 40695.0\
                    \                             },                             {\
                    \                                 \"statusCode\": \"4xx\",   \
                    \                              \"count\": 760.0              \
                    \               },                             {             \
                    \                    \"statusCode\": \"5xx\",                \
                    \                 \"count\": null                            \
                    \ }                         ]                     },         \
                    \            \"max\": {                         \"throughput\"\
                    : 282184163.28,                         \"bytes\": 1020838299593.0,\"\
                    originStatus\": null,                         \"httpCodes\": [\
                    \                             {                              \
                    \   \"statusCode\": \"2xx\",                                 \"\
                    count\": 1057354.0                             },            \
                    \                 {                                 \"statusCode\"\
                    : \"3xx\",                                 \"count\": 121481.0\
                    \                             },                             {\
                    \                                 \"statusCode\": \"4xx\",   \
                    \                              \"count\": 6720.0             \
                    \                },                             {            \
                    \                     \"statusCode\": \"5xx\",               \
                    \                  \"count\": 4.0                            \
                    \ }                         ]                     },         \
                    \            \"total\": {                         \"throughput\"\
                    : 2164646317.3755555,                         \"bytes\": 6695790743282.0,\"\
                    originStatus\": null,                         \"httpCodes\": [\
                    \                             {                              \
                    \   \"statusCode\": \"2xx\",                                 \"\
                    count\": 7739989.0                             },            \
                    \                 {                                 \"statusCode\"\
                    : \"3xx\",                                 \"count\": 902215.0\
                    \                             },                             {\
                    \                                 \"statusCode\": \"4xx\",   \
                    \                              \"count\": 30200.0            \
                    \                 },                             {           \
                    \                      \"statusCode\": \"5xx\",              \
                    \                   \"count\": 21.0                          \
                    \   }                         ]                     }        \
                    \         }             ]         },         {             \"\
                    originServer\": \"origin2.mycompagny.com\",             \"resourceId\"\
                    : \"app.mycompagny.com\",             \"data\": [            \
                    \     {                     \"country\": \"FR\",             \
                    \        \"values\": [                         {             \
                    \                \"timestamp\": \"2023-07-11T00:00:00Z\",    \
                    \                         \"dataRecord\": {                  \
                    \               \"throughput\": 2236540.3333333335,          \
                    \                       \"bytes\": 2642004097,               \
                    \                  \"httpCodes\": [                          \
                    \           {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 2236                                     },                \
                    \                     {                                      \
                    \   \"statusCode\": \"3xx\",                                 \
                    \        \"count\": 431                                     },\
                    \                                     {                      \
                    \                   \"statusCode\": \"4xx\",                 \
                    \                        \"count\": 425                      \
                    \               },                                     {     \
                    \                                    \"statusCode\": \"5xx\",\
                    \                                         \"count\": 20      \
                    \                               }                            \
                    \     ]                             }                        \
                    \ },                         {                             \"\
                    timestamp\": \"2023-07-11T01:00:00Z\",                       \
                    \      \"dataRecord\": {                                 \"throughput\"\
                    : 2430403.986666667,                                 \"bytes\"\
                    : 2369750524,                                 \"httpCodes\": [\
                    \                                     {                      \
                    \                   \"statusCode\": \"2xx\",                 \
                    \                        \"count\": 2330                     \
                    \                },                                     {    \
                    \                                     \"statusCode\": \"3xx\"\
                    ,                                         \"count\": 432     \
                    \                                },                          \
                    \           {                                         \"statusCode\"\
                    : \"4xx\",                                         \"count\":\
                    \ 420                                     },                 \
                    \                    {                                       \
                    \  \"statusCode\": \"5xx\",                                  \
                    \       \"count\": 15                                     }  \
                    \                               ]                            \
                    \ }                         },                         {     \
                    \                        \"timestamp\": \"2023-07-11T02:00:00Z\"\
                    ,                             \"dataRecord\": {              \
                    \                   \"throughput\": 2814931.011111111,       \
                    \                          \"bytes\": 4079965915,            \
                    \                     \"httpCodes\": [                       \
                    \              {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 2859                                     },                \
                    \                     {                                      \
                    \   \"statusCode\": \"3xx\",                                 \
                    \        \"count\": 488                                     },\
                    \                                     {                      \
                    \                   \"statusCode\": \"4xx\",                 \
                    \                        \"count\": 247                      \
                    \               },                                     {     \
                    \                                    \"statusCode\": \"5xx\",\
                    \                                         \"count\": 9       \
                    \                              }                             \
                    \    ]                             }                         },\
                    \                         {                             \"timestamp\"\
                    : \"2023-07-11T03:00:00Z\",                             \"dataRecord\"\
                    : {                                 \"throughput\": 4832849.297777778,\
                    \                                 \"bytes\": 9140692388,     \
                    \                            \"httpCodes\": [                \
                    \                     {                                      \
                    \   \"statusCode\": \"2xx\",                                 \
                    \        \"count\": 6335                                     },\
                    \                                     {                      \
                    \                   \"statusCode\": \"3xx\",                 \
                    \                        \"count\": 492                      \
                    \               },                                     {     \
                    \                                    \"statusCode\": \"4xx\",\
                    \                                         \"count\": 836     \
                    \                                },                          \
                    \           {                                         \"statusCode\"\
                    : \"5xx\",                                         \"count\":\
                    \ 10                                     }                   \
                    \              ]                             }               \
                    \          },                         {                      \
                    \       \"timestamp\": \"2023-07-11T04:00:00Z\",             \
                    \                \"dataRecord\": {                           \
                    \      \"throughput\": 15890354.464444444,                   \
                    \              \"bytes\": 28123506312,                       \
                    \          \"httpCodes\": [                                  \
                    \   {                                         \"statusCode\":\
                    \ \"2xx\",                                         \"count\":\
                    \ 23147                                     },               \
                    \                      {                                     \
                    \    \"statusCode\": \"3xx\",                                \
                    \         \"count\": 877                                     },\
                    \                                     {                      \
                    \                   \"statusCode\": \"4xx\",                 \
                    \                        \"count\": 1472                     \
                    \                },                                     {    \
                    \                                     \"statusCode\": \"5xx\"\
                    ,                                         \"count\": 10      \
                    \                               }                            \
                    \     ]                             }                        \
                    \ },                         {                             \"\
                    timestamp\": \"2023-07-11T05:00:00Z\",                       \
                    \      \"dataRecord\": {                                 \"throughput\"\
                    : 27639120.624444444,                                 \"bytes\"\
                    : 72411376315,                                 \"httpCodes\":\
                    \ [                                     {                    \
                    \                     \"statusCode\": \"2xx\",               \
                    \                          \"count\": 59229                  \
                    \                   },                                     { \
                    \                                        \"statusCode\": \"3xx\"\
                    ,                                         \"count\": 1952    \
                    \                                 },                         \
                    \            {                                         \"statusCode\"\
                    : \"4xx\",                                         \"count\":\
                    \ 1621                                     },                \
                    \                     {                                      \
                    \   \"statusCode\": \"5xx\",                                 \
                    \        \"count\": 12                                     } \
                    \                                ]                           \
                    \  }                         },                         {    \
                    \                         \"timestamp\": \"2023-07-11T06:00:00Z\"\
                    ,                             \"dataRecord\": {              \
                    \                   \"throughput\": 37352213.62222222,       \
                    \                          \"bytes\": 109332340225,          \
                    \                       \"httpCodes\": [                     \
                    \                {                                         \"\
                    statusCode\": \"2xx\",                                       \
                    \  \"count\": 89270                                     },   \
                    \                                  {                         \
                    \                \"statusCode\": \"3xx\",                    \
                    \                     \"count\": 2845                        \
                    \             },                                     {       \
                    \                                  \"statusCode\": \"4xx\",  \
                    \                                       \"count\": 3090      \
                    \                               },                           \
                    \          {                                         \"statusCode\"\
                    : \"5xx\",                                         \"count\":\
                    \ 13                                     }                   \
                    \              ]                             }               \
                    \          },                         {                      \
                    \       \"timestamp\": \"2023-07-11T07:00:00Z\",             \
                    \                \"dataRecord\": {                           \
                    \      \"throughput\": 42879239.053333335,                   \
                    \              \"bytes\": 133289793702,                      \
                    \           \"httpCodes\": [                                 \
                    \    {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 96390                                     },               \
                    \                      {                                     \
                    \    \"statusCode\": \"3xx\",                                \
                    \         \"count\": 3444                                    \
                    \ },                                     {                   \
                    \                      \"statusCode\": \"4xx\",              \
                    \                           \"count\": 4018                  \
                    \                   },                                     { \
                    \                                        \"statusCode\": \"5xx\"\
                    ,                                         \"count\": 17      \
                    \                               }                            \
                    \     ]                             }                        \
                    \ },                         {                             \"\
                    timestamp\": \"2023-07-11T08:00:00Z\",                       \
                    \      \"dataRecord\": {                                 \"throughput\"\
                    : 46317987.27111111,                                 \"bytes\"\
                    : 140187038704,                                 \"httpCodes\"\
                    : [                                     {                    \
                    \                     \"statusCode\": \"2xx\",               \
                    \                          \"count\": 95797                  \
                    \                   },                                     { \
                    \                                        \"statusCode\": \"3xx\"\
                    ,                                         \"count\": 3484    \
                    \                                 },                         \
                    \            {                                         \"statusCode\"\
                    : \"4xx\",                                         \"count\":\
                    \ 3779                                     },                \
                    \                     {                                      \
                    \   \"statusCode\": \"5xx\",                                 \
                    \        \"count\": 19                                     } \
                    \                                ]                           \
                    \  }                         },                         {    \
                    \                         \"timestamp\": \"2023-07-11T09:00:00Z\"\
                    ,                             \"dataRecord\": {              \
                    \                   \"throughput\": 45891456.22,             \
                    \                    \"bytes\": 151077284623,                \
                    \                 \"httpCodes\": [                           \
                    \          {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 96666                                     },               \
                    \                      {                                     \
                    \    \"statusCode\": \"3xx\",                                \
                    \         \"count\": 3737                                    \
                    \ },                                     {                   \
                    \                      \"statusCode\": \"4xx\",              \
                    \                           \"count\": 4577                  \
                    \                   },                                     { \
                    \                                        \"statusCode\": \"5xx\"\
                    ,                                         \"count\": 20      \
                    \                               }                            \
                    \     ]                             }                        \
                    \ },                         {                             \"\
                    timestamp\": \"2023-07-11T10:00:00Z\",                       \
                    \      \"dataRecord\": {                                 \"throughput\"\
                    : 45771770.913333334,                                 \"bytes\"\
                    : 143087196247,                                 \"httpCodes\"\
                    : [                                     {                    \
                    \                     \"statusCode\": \"2xx\",               \
                    \                          \"count\": 90151                  \
                    \                   },                                     { \
                    \                                        \"statusCode\": \"3xx\"\
                    ,                                         \"count\": 3573    \
                    \                                 },                         \
                    \            {                                         \"statusCode\"\
                    : \"4xx\",                                         \"count\":\
                    \ 5913                                     },                \
                    \                     {                                      \
                    \   \"statusCode\": \"5xx\",                                 \
                    \        \"count\": 20                                     } \
                    \                                ]                           \
                    \  }                         },                         {    \
                    \                         \"timestamp\": \"2023-07-11T11:00:00Z\"\
                    ,                             \"dataRecord\": {              \
                    \                   \"throughput\": 47679972.53555556,       \
                    \                          \"bytes\": 162870884323,          \
                    \                       \"httpCodes\": [                     \
                    \                {                                         \"\
                    statusCode\": \"2xx\",                                       \
                    \  \"count\": 103736                                     },  \
                    \                                   {                        \
                    \                 \"statusCode\": \"3xx\",                   \
                    \                      \"count\": 3534                       \
                    \              },                                     {      \
                    \                                   \"statusCode\": \"4xx\", \
                    \                                        \"count\": 4537     \
                    \                                },                          \
                    \           {                                         \"statusCode\"\
                    : \"5xx\",                                         \"count\":\
                    \ 19                                     }                   \
                    \              ]                             }               \
                    \          }                     ],                     \"average\"\
                    : {                         \"throughput\": 26811403.277777776,\
                    \                         \"bytes\": 79884319447.91667,\"originStatus\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 55678.833333333336\
                    \                             },                             {\
                    \                                 \"statusCode\": \"3xx\",   \
                    \                              \"count\": 2107.4166666666665 \
                    \                            },                             {\
                    \                                 \"statusCode\": \"4xx\",   \
                    \                              \"count\": 2577.9166666666665 \
                    \                            },                             {\
                    \                                 \"statusCode\": \"5xx\",   \
                    \                              \"count\": 15.333333333333334 \
                    \                            }                         ]     \
                    \                },                     \"min\": {           \
                    \              \"throughput\": 2236540.3333333335,           \
                    \              \"bytes\": 2369750524.0,\"originStatus\": null,\
                    \                         \"httpCodes\": [                   \
                    \          {                                 \"statusCode\": \"\
                    2xx\",                                 \"count\": 2236.0     \
                    \                        },                             {    \
                    \                             \"statusCode\": \"3xx\",       \
                    \                          \"count\": 431.0                  \
                    \           },                             {                 \
                    \                \"statusCode\": \"4xx\",                    \
                    \             \"count\": 247.0                             },\
                    \                             {                              \
                    \   \"statusCode\": \"5xx\",                                 \"\
                    count\": 9.0                             }                   \
                    \      ]                     },                     \"max\": {\
                    \                         \"throughput\": 47679972.53555556, \
                    \                        \"bytes\": 162870884323.0,\"originStatus\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 103736.0\
                    \                             },                             {\
                    \                                 \"statusCode\": \"3xx\",   \
                    \                              \"count\": 3737.0             \
                    \                },                             {            \
                    \                     \"statusCode\": \"4xx\",               \
                    \                  \"count\": 5913.0                         \
                    \    },                             {                        \
                    \         \"statusCode\": \"5xx\",                           \
                    \      \"count\": 20.0                             }         \
                    \                ]                     },                    \
                    \ \"total\": {                         \"throughput\": 321736839.3333333,\
                    \                         \"bytes\": 958611833375.0,\"originStatus\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 668146.0\
                    \                             },                             {\
                    \                                 \"statusCode\": \"3xx\",   \
                    \                              \"count\": 25289.0            \
                    \                 },                             {           \
                    \                      \"statusCode\": \"4xx\",              \
                    \                   \"count\": 30935.0                       \
                    \      },                             {                      \
                    \           \"statusCode\": \"5xx\",                         \
                    \        \"count\": 184.0                             }      \
                    \                   ]                     }                 }\
                    \             ]         }     ] }"
        "400":
          description: "Bad Request\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "404":
          description: "Not Found\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "405":
          description: "Method Not Allowed\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "422":
          description: "Unprocessable entity\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "500":
          description: "Internal Server Error\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "503":
          description: "Service Unavailable\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
  /organizations/{organizationId}/metrics/media/delivery:
    get:
      tags:
      - "Organizations"
      operationId: "mediaDeliveryGet"
      summary: "Get metrics for the media delivery interface."
      description: "## Description\nThis API permits to get the metrics for the delivery\
        \ interface (i.e. interface with end users) for a time range with an interval\
        \ of values.\n\n"
      parameters:
      - name: "organizationId"
        required: true
        in: "path"
        examples:
          mycompagny:
            value: "3669911"
        description: "The id of the organization. This id is affected and communicated\
          \ at the customer creation. At present time, the RCE code is used."
        schema:
          type: "string"
      - name: "startTime"
        required: false
        in: "query"
        examples:
          mystartTime:
            value: "2022-03-17T09:59:29Z"
        description: "The start datetime of the desired time range. The value must\
          \ be in UTC ISO 8086 format, ex: 2022-03-17T09:59:29Z"
        schema:
          type: "string"
          format: "date-time"
      - name: "endTime"
        required: false
        in: "query"
        examples:
          myendTime:
            value: "2022-03-17T09:59:29Z"
        description: "The end datetime of the desired time range. The value must be\
          \ in UTC ISO 8086 format, ex: 2022-03-17T09:59:29Z"
        schema:
          type: "string"
          format: "date-time"
      - name: "interval"
        required: false
        in: "query"
        examples:
          OneHour:
            value: "3600"
          OneDay:
            value: "86400"
          OneWeek:
            value: "604800"
          OneMonth:
            value: "2629800"
        description: "The sampling interval in seconds for the requested time range.\n\
          If not specified, the default value is 5 minutes (= 300 sec)"
        schema:
          type: "integer"
          format: "int32"
          default: 300
      - name: "countries"
        required: false
        in: "query"
        examples:
          single:
            value: "FR"
          multiple:
            value: "FR,USA"
        description: "List of the country(ies) desired. Must be a coma separated list\
          \ of  ISO 3166-1 alpha-2 country codes\nIf not specified, the default value\
          \ will be all"
        schema:
          type: "string"
          default: "all"
      - name: "resourceIds"
        required: false
        in: "query"
        examples:
          single:
            value: "stream.mycompagny.com"
          multiple:
            value: "stream.mycompagny.com,app.mycompagny.com"
        description: "List of resourceIds coma separated. That corresponds\
          \ to one of or mutliple CNAMEs of the customer's CDN service , ex: stream.mycompagny.com)"
        schema:
          type: "string"
          default: "all"
      responses:
        "200":
          description: "Ok"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/mediaDelivery"
              examples:
                myCompagnyDelivery:
                  value: "{     \"organizationId\": \"3669911\",     \"metrics\":\
                    \ [         {             \"resourceId\": \"mycompagny.com\",\
                    \             \"data\": [                 {                  \
                    \   \"country\": \"AE\",                     \"values\": [   \
                    \                      {                             \"timestamp\"\
                    : \"2023-06-09T00:00:00Z\",                             \"dataRecord\"\
                    : {                                 \"bytes\": 2649814295,   \
                    \                              \"throughput\": 10223.0489776235,\
                    \                                 \"offloadRatio\": 39.3924719267,\
                    \                                 \"cacheHitBytes\": 1119397038,\
                    \                                 \"responseTime\": null,    \
                    \                             \"responseStartTime\": null,   \
                    \                              \"httpCodes\": [              \
                    \                       {                                    \
                    \     \"statusCode\": \"2xx\",                               \
                    \          \"count\": 5543                                   \
                    \  },                                     {                  \
                    \                       \"statusCode\": \"3xx\",             \
                    \                            \"count\": 0                    \
                    \                 },                                     {   \
                    \                                      \"statusCode\": \"4xx\"\
                    ,                                         \"count\": 8       \
                    \                              },                            \
                    \         {                                         \"statusCode\"\
                    : \"5xx\",                                         \"count\":\
                    \ 3                                     }                    \
                    \             ]                             }                \
                    \         }                     ],                     \"average\"\
                    : {                         \"bytes\": 2649814295,           \
                    \              \"throughput\": 10223.0489776235,             \
                    \            \"offloadRatio\": 39.3924719267,                \
                    \         \"cacheHitBytes\": 1119397038,                     \
                    \    \"responseTime\": null,                         \"responseStartTime\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 5543   \
                    \                          },                             {  \
                    \                               \"statusCode\": \"3xx\",     \
                    \                            \"count\": 0                    \
                    \         },                             {                   \
                    \              \"statusCode\": \"4xx\",                      \
                    \           \"count\": 8                             },      \
                    \                       {                                 \"statusCode\"\
                    : \"5xx\",                                 \"count\": 3      \
                    \                       }                         ]          \
                    \           },                     \"min\": {                \
                    \         \"bytes\": 2649814295,                         \"throughput\"\
                    : 10223.0489776235,                         \"offloadRatio\":\
                    \ 39.3924719267,                         \"cacheHitBytes\": 1119397038,\
                    \                         \"responseTime\": null,            \
                    \             \"responseStartTime\": null,                   \
                    \      \"httpCodes\": [                             {        \
                    \                         \"statusCode\": \"2xx\",           \
                    \                      \"count\": 5543                       \
                    \      },                             {                      \
                    \           \"statusCode\": \"3xx\",                         \
                    \        \"count\": 0                             },         \
                    \                    {                                 \"statusCode\"\
                    : \"4xx\",                                 \"count\": 8      \
                    \                       },                             {     \
                    \                            \"statusCode\": \"5xx\",        \
                    \                         \"count\": 3                       \
                    \      }                         ]                     },    \
                    \                 \"max\": {                         \"bytes\"\
                    : 2649814295,                         \"throughput\": 10223.0489776235,\
                    \                         \"offloadRatio\": 39.3924719267,   \
                    \                      \"cacheHitBytes\": 1119397038,        \
                    \                 \"responseTime\": null,                    \
                    \     \"responseStartTime\": null,                         \"\
                    httpCodes\": [                             {                 \
                    \                \"statusCode\": \"2xx\",                    \
                    \             \"count\": 5543                             }, \
                    \                            {                               \
                    \  \"statusCode\": \"3xx\",                                 \"\
                    count\": 0                             },                    \
                    \         {                                 \"statusCode\": \"\
                    4xx\",                                 \"count\": 8          \
                    \                   },                             {         \
                    \                        \"statusCode\": \"5xx\",            \
                    \                     \"count\": 3                           \
                    \  }                         ]                     },        \
                    \             \"total\": {                         \"bytes\":\
                    \ 2649814295,                         \"throughput\": 10223.0489776235,\
                    \                         \"offloadRatio\": 39.3924719267,   \
                    \                      \"cacheHitBytes\": 1119397038,        \
                    \                 \"responseTime\": null,                    \
                    \     \"responseStartTime\": null,                         \"\
                    httpCodes\": [                             {                 \
                    \                \"statusCode\": \"2xx\",                    \
                    \             \"count\": 5543                             }, \
                    \                            {                               \
                    \  \"statusCode\": \"3xx\",                                 \"\
                    count\": 0                             },                    \
                    \         {                                 \"statusCode\": \"\
                    4xx\",                                 \"count\": 8          \
                    \                   },                             {         \
                    \                        \"statusCode\": \"5xx\",            \
                    \                     \"count\": 3                           \
                    \  }                         ]                     }         \
                    \        },                 {                     \"country\"\
                    : \"CI\",                     \"values\": [                  \
                    \       {                             \"timestamp\": \"2023-06-09T00:00:00Z\"\
                    ,                             \"dataRecord\": {              \
                    \                   \"bytes\": 673398458,                    \
                    \             \"throughput\": 2597.9878780864,               \
                    \                  \"offloadRatio\": 1.0836004274,           \
                    \                      \"cacheHitBytes\": 42808,             \
                    \                    \"responseTime\": null,                 \
                    \                \"responseStartTime\": null,                \
                    \                 \"httpCodes\": [                           \
                    \          {                                         \"statusCode\"\
                    : \"2xx\",                                         \"count\":\
                    \ 1247                                     },                \
                    \                     {                                      \
                    \   \"statusCode\": \"3xx\",                                 \
                    \        \"count\": 0                                     }, \
                    \                                    {                       \
                    \                  \"statusCode\": \"4xx\",                  \
                    \                       \"count\": 0                         \
                    \            },                                     {        \
                    \                                 \"statusCode\": \"5xx\",   \
                    \                                      \"count\": 0          \
                    \                           }                                \
                    \ ]                             }                         }  \
                    \                   ],                     \"average\": {    \
                    \                     \"bytes\": 673398458,                  \
                    \       \"throughput\": 2597.9878780864,                     \
                    \    \"offloadRatio\": 1.0836004274,                         \"\
                    cacheHitBytes\": 42808,                         \"responseTime\"\
                    : null,                         \"responseStartTime\": null, \
                    \                        \"httpCodes\": [                    \
                    \         {                                 \"statusCode\": \"\
                    2xx\",                                 \"count\": 1247       \
                    \                      },                             {      \
                    \                           \"statusCode\": \"3xx\",         \
                    \                        \"count\": 0                        \
                    \     },                             {                       \
                    \          \"statusCode\": \"4xx\",                          \
                    \       \"count\": 0                             },          \
                    \                   {                                 \"statusCode\"\
                    : \"5xx\",                                 \"count\": 0      \
                    \                       }                         ]          \
                    \           },                     \"min\": {                \
                    \         \"bytes\": 673398458,                         \"throughput\"\
                    : 2597.9878780864,                         \"offloadRatio\": 1.0836004274,\
                    \                         \"cacheHitBytes\": 42808,          \
                    \               \"responseTime\": null,                      \
                    \   \"responseStartTime\": null,                         \"httpCodes\"\
                    : [                             {                            \
                    \     \"statusCode\": \"2xx\",                               \
                    \  \"count\": 1247                             },            \
                    \                 {                                 \"statusCode\"\
                    : \"3xx\",                                 \"count\": 0      \
                    \                       },                             {     \
                    \                            \"statusCode\": \"4xx\",        \
                    \                         \"count\": 0                       \
                    \      },                             {                      \
                    \           \"statusCode\": \"5xx\",                         \
                    \        \"count\": 0                             }          \
                    \               ]                     },                     \"\
                    max\": {                         \"bytes\": 673398458,       \
                    \                  \"throughput\": 2597.9878780864,          \
                    \               \"offloadRatio\": 1.0836004274,              \
                    \           \"cacheHitBytes\": 42808,                        \
                    \ \"responseTime\": null,                         \"responseStartTime\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 1247   \
                    \                          },                             {  \
                    \                               \"statusCode\": \"3xx\",     \
                    \                            \"count\": 0                    \
                    \         },                             {                   \
                    \              \"statusCode\": \"4xx\",                      \
                    \           \"count\": 0                             },      \
                    \                       {                                 \"statusCode\"\
                    : \"5xx\",                                 \"count\": 0      \
                    \                       }                         ]          \
                    \           },                     \"total\": {              \
                    \           \"bytes\": 673398458,                         \"throughput\"\
                    : 2597.9878780864,                         \"offloadRatio\": 1.0836004274,\
                    \                         \"cacheHitBytes\": 42808,          \
                    \               \"responseTime\": null,                      \
                    \   \"responseStartTime\": null,                         \"httpCodes\"\
                    : [                             {                            \
                    \     \"statusCode\": \"2xx\",                               \
                    \  \"count\": 1247                             },            \
                    \                 {                                 \"statusCode\"\
                    : \"3xx\",                                 \"count\": 0      \
                    \                       },                             {     \
                    \                            \"statusCode\": \"4xx\",        \
                    \                         \"count\": 0                       \
                    \      },                             {                      \
                    \           \"statusCode\": \"5xx\",                         \
                    \        \"count\": 0                             }          \
                    \               ]                     }                 },   \
                    \              {                     \"country\": \"FR\",    \
                    \                 \"values\": [                         {    \
                    \                         \"timestamp\": \"2023-06-09T00:00:00Z\"\
                    ,                             \"dataRecord\": {              \
                    \                   \"bytes\": 287260826392,                 \
                    \                \"throughput\": 1108259.361080247,          \
                    \                       \"offloadRatio\": 18.2042824074,     \
                    \                            \"cacheHitBytes\": 4674872712,  \
                    \                               \"responseTime\": null,      \
                    \                           \"responseStartTime\": null,     \
                    \                            \"httpCodes\": [                \
                    \                     {                                      \
                    \   \"statusCode\": \"2xx\",                                 \
                    \        \"count\": 425683                                   \
                    \  },                                     {                  \
                    \                       \"statusCode\": \"3xx\",             \
                    \                            \"count\": 0                    \
                    \                 },                                     {   \
                    \                                      \"statusCode\": \"4xx\"\
                    ,                                         \"count\": 21501   \
                    \                                  },                        \
                    \             {                                         \"statusCode\"\
                    : \"5xx\",                                         \"count\":\
                    \ 3                                     }                    \
                    \             ]                             }                \
                    \         }                     ],                     \"average\"\
                    : {                         \"bytes\": 287260826392,         \
                    \                \"throughput\": 1108259.361080247,          \
                    \               \"offloadRatio\": 18.2042824074,             \
                    \            \"cacheHitBytes\": 4674872712,                  \
                    \       \"responseTime\": null,                         \"responseStartTime\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 425683 \
                    \                            },                             {\
                    \                                 \"statusCode\": \"3xx\",   \
                    \                              \"count\": 0                  \
                    \           },                             {                 \
                    \                \"statusCode\": \"4xx\",                    \
                    \             \"count\": 21501                             },\
                    \                             {                              \
                    \   \"statusCode\": \"5xx\",                                 \"\
                    count\": 3                             }                     \
                    \    ]                     },                     \"min\": { \
                    \                        \"bytes\": 287260826392,            \
                    \             \"throughput\": 1108259.361080247,             \
                    \            \"offloadRatio\": 18.2042824074,                \
                    \         \"cacheHitBytes\": 4674872712,                     \
                    \    \"responseTime\": null,                         \"responseStartTime\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 425683 \
                    \                            },                             {\
                    \                                 \"statusCode\": \"3xx\",   \
                    \                              \"count\": 0                  \
                    \           },                             {                 \
                    \                \"statusCode\": \"4xx\",                    \
                    \             \"count\": 21501                             },\
                    \                             {                              \
                    \   \"statusCode\": \"5xx\",                                 \"\
                    count\": 3                             }                     \
                    \    ]                     },                     \"max\": { \
                    \                        \"bytes\": 287260826392,            \
                    \             \"throughput\": 1108259.361080247,             \
                    \            \"offloadRatio\": 18.2042824074,                \
                    \         \"cacheHitBytes\": 4674872712,                     \
                    \    \"responseTime\": null,                         \"responseStartTime\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 425683 \
                    \                            },                             {\
                    \                                 \"statusCode\": \"3xx\",   \
                    \                              \"count\": 0                  \
                    \           },                             {                 \
                    \                \"statusCode\": \"4xx\",                    \
                    \             \"count\": 21501                             },\
                    \                             {                              \
                    \   \"statusCode\": \"5xx\",                                 \"\
                    count\": 3                             }                     \
                    \    ]                     },                     \"total\": {\
                    \                         \"bytes\": 287260826392,           \
                    \              \"throughput\": 1108259.361080247,            \
                    \             \"offloadRatio\": 18.2042824074,               \
                    \          \"cacheHitBytes\": 4674872712,                    \
                    \     \"responseTime\": null,                         \"responseStartTime\"\
                    : null,                         \"httpCodes\": [             \
                    \                {                                 \"statusCode\"\
                    : \"2xx\",                                 \"count\": 425683 \
                    \                            },                             {\
                    \                                 \"statusCode\": \"3xx\",   \
                    \                              \"count\": 0                  \
                    \           },                             {                 \
                    \                \"statusCode\": \"4xx\",                    \
                    \             \"count\": 21501                             },\
                    \                             {                              \
                    \   \"statusCode\": \"5xx\",                                 \"\
                    count\": 3                             }                     \
                    \    ]                     }                 }             ] \
                    \        }     ] }"
        "400":
          description: "Bad Request\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "404":
          description: "Not Found\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "405":
          description: "Method Not Allowed\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "422":
          description: "Unprocessable entity\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "500":
          description: "Internal Server Error\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "503":
          description: "Service Unavailable\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
  /status:
    get:
      tags:
      - "Status"
      operationId: "statusGet"
      summary: "get status"
      description: "See [Orange recommendation](https://recommendations.innov.intraorange/designing-orange-api/#status-path)"
      responses:
        "200":
          description: "Ok"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiStatus"
        "400":
          description: "Bad Request\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "404":
          description: "Not Found\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "405":
          description: "Method Not Allowed\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "422":
          description: "Unprocessable entity\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "500":
          description: "Internal Server Error\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"
        "503":
          description: "Service Unavailable\n\n"
          content:
            application/json;charset=utf-8:
              schema:
                $ref: "#/components/schemas/OrangeApiError"

components:
  schemas:
    httpCodeRecords:
      description: "The http codes used into CDN Logs"
      required:
      - "statusCode"
      - "count"
      type: "object"
      properties:
        statusCode:
          description: "The status code."
          type: "string"
        count:
          description: "The count of the status codes."
          type: "integer"
          format: "int32"
    mediaDelivery:
      description: "Metrics concerning media delivery service\n\n**Inheritance**\n\
        \n  Parent: metrics"
      allOf:
      - $ref: "#/components/schemas/metrics"
      - required:
        - "metrics"
        type: "object"
        properties:
          metrics:
            description: "The metrics for the requested organization."
            type: "array"
            items:
              $ref: "#/components/schemas/mediaDeliveryPerResource"
    mediaDeliveryPerCountry:
      description: "Media delivery metrics by country"
      required:
      - "country"
      - "values"
      type: "object"
      properties:
        country:
          description: "The country that has generated the metics."
          type: "string"
        values:
          description: "The time serie of metrics."
          type: "array"
          items:
            $ref: "#/components/schemas/mediaDeliveryTimeSeries"
        average:
          $ref: "#/components/schemas/mediaDeliveryRecord"
        min:
          $ref: "#/components/schemas/mediaDeliveryRecord"
        max:
          $ref: "#/components/schemas/mediaDeliveryRecord"
        total:
          $ref: "#/components/schemas/mediaDeliveryRecord"
    mediaDeliveryPerResource:
      description: "media delivery metrics by resource (cname)"
      required:
      - "resourceId"
      - "data"
      type: "object"
      properties:
        resourceId:
          description: "The resourceId is the id of the resource. The\
            \ resourceId is one of  CNAME(s) of the customer CDN service (ex: mystream.mycompagny.com)."
          type: "string"
          default: "node"
        data:
          description: "The data for the resource per country."
          type: "array"
          items:
            $ref: "#/components/schemas/mediaDeliveryPerCountry"
    mediaDeliveryRecord:
      description: "A record of media delivery metrics"
      required:
      - "bytes"
      - "throughput"
      - "cacheHitBytes"
      - "offloadRatio"
      - "responseTime"
      - "responseStartTime"
      - "httpCodes"
      type: "object"
      properties:
        bytes:
          description: "Content bytes delivered."
          type: "integer"
          format: "int64"
        throughput:
          description: "The CDN throughput in bites per second."
          type: "integer"
          format: "int64"
        cacheHitBytes:
          description: "Volume of cached content bytes delivered by caches."
          type: "integer"
          format: "int32"
        offloadRatio:
          description: "Ratio between delivered hit bytes and miss bytes."
          type: "integer"
          format: "int64"
        responseTime:
          description: "Reserved for future use."
          type: "number"
          format: "float"
        responseStartTime:
          description: "Reserved for future use."
          type: "number"
          format: "float"
        httpCodes:
          description: "The different http codes."
          type: "array"
          items:
            $ref: "#/components/schemas/httpCodeRecords"
    mediaDeliveryTimeSeries:
      description: "The time series of metrics"
      required:
      - "timestamp"
      - "dataRecord"
      type: "object"
      properties:
        timestamp:
          description: "Timestamp of the record."
          type: "string"
          format: "date-time"
        dataRecord:
          $ref: "#/components/schemas/mediaDeliveryRecord"
    mediaIngest:
      description: "The media ingest metrics.\n\n**Inheritance**\n\n  Parent: metrics"
      allOf:
      - $ref: "#/components/schemas/metrics"
      - required:
        - "metrics"
        type: "object"
        properties:
          metrics:
            description: "The media ingest metrics for the requested organization."
            type: "array"
            items:
              $ref: "#/components/schemas/mediaIngestPerOriginServer"
    mediaIngestPerCountry:
      description: "The media ingest metrics for a country"
      required:
      - "country"
      - "values"
      type: "object"
      properties:
        country:
          description: "The country from where the ingest metrics were generated."
          type: "string"
        values:
          description: "The values for the country."
          type: "array"
          items:
            $ref: "#/components/schemas/mediaIngestTimeSeries"
        min:
          $ref: "#/components/schemas/mediaIngestRecord"
        max:
          $ref: "#/components/schemas/mediaIngestRecord"
        average:
          $ref: "#/components/schemas/mediaIngestRecord"
        total:
          $ref: "#/components/schemas/mediaIngestRecord"
    mediaIngestPerOriginServer:
      description: "The media ingest metrics per origin server"
      required:
      - "originServer"
      - "resourceId"
      - "data"
      type: "object"
      properties:
        originServer:
          description: "The origin server for which metrics were generated."
          type: "string"
        resourceId:
          description: "The resource id of the resource for which metrics were generated."
          type: "string"
        data:
          description: "The ingest metrics for a counrty."
          type: "array"
          items:
            $ref: "#/components/schemas/mediaIngestPerCountry"
    mediaIngestRecord:
      description: "The media ingest metrics record"
      required:
      - "bytes"
      - "throughput"
      - "httpCodes"
      type: "object"
      properties:
        bytes:
          description: "The number of Bytes of ingested content."
          type: "integer"
          format: "int32"
        throughput:
          description: "The troughput in bits/s  of ingested content."
          type: "integer"
          format: "int64"
        httpCodes:
          description: "The http codes of request to origin server."
          type: "array"
          items:
            $ref: "#/components/schemas/httpCodeRecords"
    mediaIngestTimeSeries:
      description: "The media ingest metrics time seires."
      required:
      - "timestamp"
      - "dataRecord"
      type: "object"
      properties:
        timestamp:
          description: "The timestamp of the data."
          type: "string"
          format: "date-time"
        dataRecord:
          $ref: "#/components/schemas/mediaIngestRecord"
    metrics:
      description: "This endpoint deliver metrics of the CDN services (mediadelivery,\
        \ web optimization, web secureity....).\n\n**Inheritance**\n\n  Children:\n\
        \  - mediaDelivery\n  - mediaIngest\n  - webAcceleration\n  - webSecurity"
      required:
      - "organizationId"
      type: "object"
      properties:
        organizationId:
          description: "The unique Id of the orgamizations."
          type: "string"
    organizations:
      description: "Organization of the customer of the offer"
      required:
      - "organizationId"
      - "rce"
      - "organizationShortName"
      type: "object"
      properties:
        organizationId:
          description: "The unique id of the organization."
          type: "integer"
          format: "int32"
        rce:
          description: "RCE code of the customer."
          type: "integer"
          format: "int32"
        organizationShortName:
          description: "The organization shot name of the customer."
          type: "string"
    OrangeApiComponent:
      description: "The backend components"
      required:
      - "status"
      - "name"
      - "version"
      type: "object"
      properties:
        status:
          $ref: "#/components/schemas/OrangeApiStatusValue"
        name:
          description: "Component internal name."
          type: "string"
        version:
          description: "major.minor.patch see [semver.org](https://semver.org/) or\
            \ G00R00C00"
          type: "string"
    OrangeApiError:
      description: "The API's error object"
      required:
      - "code"
      - "message"
      type: "object"
      properties:
        code:
          description: "An integer coding the error type. This is given to caller\
            \ so he can translate them if required."
          type: "integer"
          format: "int32"
        message:
          description: "A short localized string that describes the error."
          type: "string"
        description:
          description: "(optional) A long localized error description if needed. It\
            \ can contain precise information about which parameter is missing, or\
            \ what are the identifier acceptable values."
          type: "string"
        infoURL:
          description: "(optional) A URL to online documentation that provides more\
            \ information about the error."
          type: "string"
    OrangeApiStatus:
      description: "The API status object"
      required:
      - "status"
      - "name"
      - "version"
      type: "object"
      properties:
        status:
          $ref: "#/components/schemas/OrangeApiStatusValue"
        name:
          description: "Your service internal name."
          type: "string"
        version:
          description: "major.minor.patch see [semver.org](https://semver.org/) or\
            \ G00R00C00"
          type: "string"
        components:
          description: "Each array entry represents a component your service requires\
            \ (other web service, database, etc) to be fully functional"
          type: "array"
          items:
            $ref: "#/components/schemas/OrangeApiComponent"
    OrangeApiStatusValue:
      description: "The API status state"
      type: "string"
      enum:
      - "ko"
      - "ok"
